// AppController.h -- application controller, handler of all the buttons.

// Copyright (C) 2003 Borkware
// We use the BSD License.  Check out http://borkware.com/license


#import <Cocoa/Cocoa.h>
#import <Quicktime/Quicktime.h>

@interface AppController : NSObject
{
    IBOutlet NSButton *playButton;
    IBOutlet NSButton *stopButton;
    IBOutlet NSWindow *window;
    IBOutlet NSProgressIndicator *progressIndicator;
    IBOutlet NSTextField *titleField;

    NSMovie *qtmovie;

    NSTimer *pollTimer;
}

- (IBAction) loadMp3File: (id) sender;
- (IBAction) play: (id) sender;
- (IBAction) stop: (id) sender;

@end // AppController

